#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	jpegoptim
Version		:	1.4.6
Release		:	16.2.1.rel%{?dist}
Summary		:	Utility for Optimizing JPEG Files
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLV2+
URL		:	https://sourceforge.net/projects/mcj/files/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libjpeg-turbo-devel
#-----------------------------------------------------------------------------
%description
jpegoptim is a utility for optimizing JPEG files. It provides
lossless optimization (based on optimizing the Huffman tables)
and "lossy" optimization based on setting a maximum quality
factor.

%prep
%setup -q -n %{name}-RELEASE.%{version}

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

%files			
%defattr(-,root,root,-)
%doc COPYRIGHT README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
